Skip to main content
PUT
Update Parameters

Authorizations

Authorization
string
header
required

Provide your Bearer token in the format: Bearer <your_api_key>

Path Parameters

company_id
string
required

Unique identifier for the company associated with the imported goods parameters

report_id
string
required

Unique identifier for the report associated with the imported goods parameters

Body

application/json

Payload containing imported goods parameters

Summary of Struct

item_number
string
required

Import Good Item Number, sequencial This element specifies the item number of every CBAM Good imported of the CBAM Report. It is a sequential number starting at 1. This element specifies the item number of every CBAM Good imported of the CBAM Report. It is a sequential number starting at 1. (1,2..)

Example:

"1"

parameter_id
string
required

ID of the parameter used ID of the parameter used (Min Length: 1, Max Length: 5)

Example:

"QPD21"

parameter_name
string
required

Name of the parameter used Name of the parameter used (Min Length: 1, Max Length: 256)

Example:

"Aluminium scrap usage"

parameter_value
string
required

The actual value of the parameter The actual value of the parameter (Min Length: 1, Max Length: 256)

Example:

"9"

parameter_value_type
string
required

The type of the parameter The type of the parameter (e.g., Percentage, numeric, text) (e.g., Percentage, numeric, text) (Min Length: 1, Max Length: 256)

Example:

"NUMERIC"

additional_information
string

Additional Information In this element, the Declarant can write any additional information that applies in the location where this is positioned. (Min Length: 1, Max Length: 512)

companyID
integer

Company identifier

createdAt
string

Creation time

description
string

A text element to describe the parameter A text element to describe the parameter (Min Length: 1, Max Length: 256)

Example:

"Tonnes scrap used for producing 1 t of the product (total scrap including post-consumer scrap)"

internalReportID
integer

Internal report ID

organizationID
integer

Organization identifier

sequence_number
integer

The sequential number of the parameter The sequential number of the parameter (Pattern: \d{1,5})

Example:

1

updatedAt
string

Last update time

updatedBy
string

Updater identifier

version
string

Report Versions

Response

Successfully updated or inserted imported goods parameters

A standard successful API response.

message
string

A detailed success message.

Example:

"Operation completed successfully"

status
integer

HTTP status code.

Example:

200